Skip to main content
PUT
Update Integration Source Table

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string<uuid> | null
required
database_id
string<uuid>
required
schema_id
string<uuid>
required
table_id
string<uuid>
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Model for updating an integration source table.

description
string | null
is_active
boolean | null
priority
integer | null
type
string | null
row_count
integer | null
skip_embedding
boolean
default:false

Skip automatic embedding trigger for bulk operations

null_pct_overall
number | null
column_null_pct
Column Null Pct · object | null
column_distinct_pct
Column Distinct Pct · object | null
earliest_timestamp
string<date-time> | null
latest_timestamp
string<date-time> | null
date_grain
string | null
last_load_timestamp
string<date-time> | null
load_frequency
string | null
data_latency_minutes
integer | null
is_staging_table
boolean | null
description_source
enum<string> | null
Available options:
ai_generated,
manual_edit,
imported,
information_schema
description_generated_at
string<date-time> | null
description_version
integer | null

Response

Successful Response

Response model for integration source tables.

name
string
required

Table name

integration_source_id
string<uuid>
required
id
string<uuid>
required
schema_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description_version
integer
required
description
string | null

Optional description of the table

is_active
boolean
default:true

Whether this table is active for analysis

priority
integer
default:99

Priority for processing (lower numbers processed first)

type
string | null

Table type (e.g., TABLE, VIEW, MATERIALIZED_VIEW)

row_count
integer | null

Number of rows in the table

null_pct_overall
number | null

Overall percentage of null values across all columns

column_null_pct
Column Null Pct · object | null

Null percentage per column

column_distinct_pct
Column Distinct Pct · object | null

Distinct value percentage per column

earliest_timestamp
string<date-time> | null

Earliest timestamp found in the table

latest_timestamp
string<date-time> | null

Latest timestamp found in the table

date_grain
string | null

Granularity of date data (daily, hourly, etc.)

last_load_timestamp
string<date-time> | null

When the table was last loaded/updated

load_frequency
string | null

How frequently the table is updated

data_latency_minutes
integer | null

Data latency in minutes

is_staging_table
boolean | null

Whether this is a staging/temporary table

description_source
enum<string> | null

How description was created: 'ai_generated' | 'manual_edit' | 'imported' | 'information_schema'

Available options:
ai_generated,
manual_edit,
imported,
information_schema
description_generated_at
string<date-time> | null

When description was last modified

column_count
integer | null

Number of columns in the table